Index: /branches/2.2.0.1/mobile/templates/default/home_index.tpl
===================================================================
--- /branches/2.2.0.1/mobile/templates/default/home_index.tpl	(revision 3731)
+++ /branches/2.2.0.1/mobile/templates/default/home_index.tpl	(revision 3982)
@@ -20,19 +20,47 @@
 	
 	<dl id="lista_miolo">
-		<dd style="margin: 0; padding: 0"><div class="resultado-titulo"><label><input type="checkbox" name="default_folders" value='1' id="search_default_folders" /><span class="email-item">{lang_my_mail}</span></label><div class="rotulo-complementar">{quota_percent}% [{quota_used}/{quota_limit}]</div></div>
+		<dd style="margin: 0; padding: 0">
+			<div class="resultado-titulo">
+				<label>
+					<input type="checkbox" name="default_folders" value='1' id="search_default_folders" />
+					<span class="email-item">
+						{lang_my_mail}
+					</span>
+				</label>
+				<div class="rotulo-complementar">{quota_percent}% [{quota_used}/{quota_limit}]</div>
+			</div>
 		</dd>
 		{default_folders_box}
 		<dd>
-	    <div class="limpar_div resultado-titulo"><label><input type="checkbox" name="personal_folders" value='1' id="search_personal_folders"><a href="javascript:expand_folders()" class="email-item"> {lang_my_folders}</a></label></div>
+	    	<div class="limpar_div resultado-titulo">
+	    		<label>
+	    			<input type="checkbox" name="personal_folders" value='1' id="search_personal_folders"/>
+	    			<a href="javascript:expand_folders()" class="email-item" style="font-size:12pt;">
+	    				{lang_my_folders}
+	    			</a>
+	    		</label>
+	    	</div>
 		</dd>
-	  <span id="personal_folder_box" style="display: none;">
+	  	<span id="personal_folder_box" style="display: none;">
 			{personal_folders_box}
-		</span>		
+	   	</span>		
 		<dd>
-			<div class="limpar_div resultado-titulo"><label><input type="checkbox" name="calendar_search" value='1' id="search_calendar_search"><a href="index.php?menuaction=mobile.ui_mobilecalendar.index" class="email-item"> {lang_my_commitments}</a></label></div>
+			<div class="limpar_div resultado-titulo">
+				<label>
+					<input type="checkbox" name="calendar_search" value='1' id="search_calendar_search">
+						<a href="index.php?menuaction=mobile.ui_mobilecalendar.index" class="email-item" style="font-size:12pt;">
+							{lang_my_commitments}
+						</a>
+				</label>
+			</div>
 		</dd>
 		{commitments_box}
 		<dd>
-    	<div class="limpar_div resultado-titulo"><label><input type="checkbox" name="contacts_search" value='1' id="search_contacts_search"> <a href="index.php?menuaction=mobile.ui_mobilecc.init_cc" class="email-item"> {lang_my_contacts} </a></label></div>
+    		<div class="limpar_div resultado-titulo">
+    			<label>
+    				<input type="checkbox" name="contacts_search" value='1' id="search_contacts_search">
+    				<a href="index.php?menuaction=mobile.ui_mobilecc.init_cc" class="email-item" style="font-size:12pt;"> {lang_my_contacts} </a>
+    			</label>
+    		</div>
 		</dd>
 	</dl>
Index: /branches/2.2.0.1/mobile/templates/css/mobile.css
===================================================================
--- /branches/2.2.0.1/mobile/templates/css/mobile.css	(revision 3974)
+++ /branches/2.2.0.1/mobile/templates/css/mobile.css	(revision 3982)
@@ -125,5 +125,5 @@
 .btn-generico{color:#FFFFFF; background-color:#434343; border:none; }
 .contagem { float:right; margin-right:5px }
-.nome-item{float:left;width:80%;font-size:small; color:#3E3E3D; min-width::80%}
+.nome-item{float:left;width:80%;font-size:11pt; color:#3E3E3D; min-width::80%}
 .nome-item strong, .nome-item span{ margin-left:25px}
 .nome-item-telefone{margin-left:21px}
@@ -270,7 +270,7 @@
 p.assunto {font-size:small; font-weight:normal; padding-top:3px; color:#666}
 
-/*---------------------------------------- MODIFICAï¿œï¿œES ---------------------------------------------*/
-
-.email-item{color:#3E3E3D; font:bold small Arial, Helvetica, sans-serif; vertical-align:text-bottom}
+/*---------------------------------------- MODIFICAÃÃES ---------------------------------------------*/
+
+.email-item{color: #3E3E3D; font-size: 12pt; font-weight:bold; font-family: Arial, Helvetica, sans-serif; vertical-align:text-bottom}
 .email-campos, .assunto {color:#3E3E3D; font:bold small Arial, Helvetica, sans-serif; text-decoration:underline !important}
 .assunto {text-decoration:none !important}