Index: /branches/2.2.0.1/phpgwapi/js/dJSWin/dJSWin.js
===================================================================
--- /branches/2.2.0.1/phpgwapi/js/dJSWin/dJSWin.js	(revision 144)
+++ /branches/2.2.0.1/phpgwapi/js/dJSWin/dJSWin.js	(revision 4034)
@@ -172,5 +172,5 @@
 		this.buttons.xDIV.style.left = parseInt(params['width']) - 13 + 'px';
 		this.buttons.xDIV.style.zIndex = '1';
-		this.buttons.xDIV.onclick = function() {_this.close(); _this.state = 2;};
+		this.buttons.xDIV.onclick = function() {_this.close(); _this.state = 2;if(document.getElementById("window_QuickCatalogSearch")) document.getElementById("window_QuickCatalogSearch").style.visibility = "hidden";};
 		
 		this.content.style.visibility = 'hidden';
@@ -338,5 +338,12 @@
 		/* Turn the attribute visible false */
 		this.visible = false;
-	}
+                //Remove attribute onclick
+		var divBan = document.getElementById('divAppbox');
+                divBan.removeAttribute('onclick');
+                if (is_ie){
+                        divBan.onclick = function(){};
+                }
+	}
+	
 
 	dJSWin.prototype.open = function()
Index: /branches/2.2.0.1/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- /branches/2.2.0.1/expressoMail1_2/js/QuickCatalogSearch.js	(revision 3932)
+++ /branches/2.2.0.1/expressoMail1_2/js/QuickCatalogSearch.js	(revision 4034)
@@ -12,13 +12,25 @@
 		id = '1';
 		_this = this;
+                var el_A = document.createElement("DIV");
+		el_A.style.visibility = "hidden";
+		el_A.style.position = "absolute";
+		el_A.style.left = "0px";
+		el_A.style.top = "0px";
+		el_A.style.width = "0px";
+		el_A.style.height = "0px";
+		el_A.id = 'window_QuickCatalogSearch_A';
+		document.body.appendChild(el_A);
+		el_A.innerHTML = "";
+
 		var el = document.createElement("DIV");
 		el.style.visibility = "hidden";
 		el.style.position = "absolute";
 		el.style.left = "0px";
-		el.style.top = "0px";
-		el.style.width = "0px";
-		el.style.height = "0px";
+		el.style.top = "40px";
+		el.style.width = "695px";
+		el.style.height = "186px";
+                el.style.overflow = "auto";
 		el.id = 'window_QuickCatalogSearch';
-		document.body.appendChild(el);
+		el_A.appendChild(el);
 		el.innerHTML = "";
 		
@@ -46,6 +58,4 @@
 		};		
 		
-		if (document.getElementById('select_QuickCatalogSearch') == null){
-
 			var title_innerHTML = get_lang('Select a name') + ':';
 			if (data.quickSearch_only_in_userSector)
@@ -55,10 +65,30 @@
 			title.id = 'window_QuickCatalogSearch_title';
 			title.innerHTML = "&nbsp;&nbsp;<b><font color='BLUE' nowrap>"+title_innerHTML+"</font></b><br>&nbsp;&nbsp;";
-			el.appendChild(title);
+			el_A.appendChild(title);
+                        var butt = document.createElement('BUTTON');
+			var buttext = document.createTextNode('OK');
+			butt.id = "QuickCatalogSearch_button_ok";
+			butt.appendChild(buttext);
+			butt.onclick = function () {QuickCatalogSearch.transfer_result(data.field, data.ID, begin, end);};
+			el_A.appendChild(butt);
+
+			var space = document.createElement('SPAN');
+			space.innerHTML = "&nbsp;&nbsp;";
+			el_A.appendChild(space);
+
+			var butt = document.createElement('BUTTON');
+			butt.id = "QuickCatalogSearch_button_close";
+			var buttext = document.createTextNode(get_lang('Close'));
+			butt.appendChild(buttext);
+			butt.onclick = function () {QuickCatalogSearch.close_QuickSearch_window(data.field, data.ID);};
+			el_A.appendChild(butt);
+
+		if (document.getElementById('select_QuickCatalogSearch') == null){
 			
 			var cmb = document.createElement("SELECT");
 			cmb.id = "select_QuickCatalogSearch";
-			cmb.style.width = "685px";
-			cmb.size = "12";
+			cmb.style.width = "2400px";
+			//cmb.size = "12";
+                        cmb.ondblclick = function() {QuickCatalogSearch.transfer_result(data.field, data.ID, begin, end);};
 			cmb.onkeypress = function (e)
 			{
@@ -87,37 +117,5 @@
 			};
 			el.appendChild(cmb);
-
-			var space = document.createElement('SPAN');
-			space.innerHTML = "<BR>&nbsp;&nbsp;";
-			el.appendChild(space);
-
-			var butt = document.createElement('BUTTON');
-			var buttext = document.createTextNode('OK');
-			butt.id = "QuickCatalogSearch_button_ok";
-			butt.appendChild(buttext);
-			butt.onclick = function () {QuickCatalogSearch.transfer_result(data.field, data.ID, begin, end);};
-			el.appendChild(butt);
-
-			var space = document.createElement('SPAN');
-			space.innerHTML = "&nbsp;&nbsp;";
-			el.appendChild(space);
-
-			var butt = document.createElement('BUTTON');
-			butt.id = "QuickCatalogSearch_button_close";
-			var buttext = document.createTextNode(get_lang('Close'));
-			butt.appendChild(buttext);
-			butt.onclick = function () {QuickCatalogSearch.close_QuickSearch_window(data.field, data.ID);};
-			el.appendChild(butt);
-			
-			var space = document.createElement('SPAN');
-			space.innerHTML = "&nbsp;&nbsp;";
-			el.appendChild(space);
-
-			var butt = document.createElement('BUTTON');
-			butt.id = "QuickCatalogSearch_button_add_contact";
-			var buttext = document.createTextNode(get_lang("Add Contact"));
-			butt.appendChild(buttext);
-			butt.onclick = func_add_contact;
-			el.appendChild(butt);			
+			
 		}
 		else{
@@ -130,4 +128,5 @@
 			
 			var cmb = document.getElementById('select_QuickCatalogSearch');
+                        cmb.ondblclick = function() {QuickCatalogSearch.transfer_result(data.field, data.ID, begin, end);};
 			cmb.onkeypress = function (e)
 			{
@@ -178,5 +177,6 @@
 		}
 		cmb.options[0].selected = true;
-		_this.showWindow(el);
+		cmb.size = data.length+1;
+		_this.showWindow(el_A);
 	}
 	
@@ -214,5 +214,5 @@
 			win = this.arrayWin[div.id];
 		}
-		//document.getElementById('QuickCatalogSearch_window_QuickCatalogSearch').style.display = "";
+		document.getElementById("window_QuickCatalogSearch").style.visibility = "visible";
 		win.open();
 		document.getElementById('select_QuickCatalogSearch').focus();
@@ -228,12 +228,13 @@
 		document.getElementById(field + "_" + ID).focus();
 		
-		//document.getElementById('QuickCatalogSearch_window_QuickCatalogSearch').style.display = "none";
-		this.arrayWin['window_QuickCatalogSearch'].close();
-	}
-	
+		this.arrayWin['window_QuickCatalogSearch_A'].close();
+                document.getElementById("window_QuickCatalogSearch").style.visibility = "hidden";
+	}
+
 	emQuickCatalogSearch.prototype.close_QuickSearch_window = function (field, ID){
 		//document.getElementById('QuickCatalogSearch_window_QuickCatalogSearch').style.display = "none";
 		document.getElementById(field + "_" + ID).focus();
-		this.arrayWin['window_QuickCatalogSearch'].close();
+		this.arrayWin['window_QuickCatalogSearch_A'].close();
+                document.getElementById("window_QuickCatalogSearch").style.visibility = "hidden";
 	}
 
@@ -467,6 +468,4 @@
 		var not_selected = true;
 		
-		fieldOpener.value = trim(fieldOpener.value);
-		
 		for (i = 0 ; i < select.length ; i++) {
 			if (select.options[i].selected && select.options[i].value != '-1') {