Index: /branches/2.2.0.1/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- /branches/2.2.0.1/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 4044)
+++ /branches/2.2.0.1/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 4050)
@@ -117,4 +117,7 @@
 
         $return = array();
+
+        $return['folder'] = $folder;
+
         //Para enviar o offset entre o timezone definido pelo usuário e GMT
         $return['offsetToGMT'] = $this->functions->CalculateDateOffset();
Index: /branches/2.2.0.1/expressoMail1_2/js/draw_api.js
===================================================================
--- /branches/2.2.0.1/expressoMail1_2/js/draw_api.js	(revision 4027)
+++ /branches/2.2.0.1/expressoMail1_2/js/draw_api.js	(revision 4050)
@@ -564,5 +564,5 @@
   	if(current_page != 1) {
 	  	lnk_page = document.createElement("A");
-		lnk_page.setAttribute("href", "javascript:current_page=1;kill_current_box(); draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){draw_box(data, get_current_folder());});");
+		lnk_page.setAttribute("href", "javascript:current_page=1;kill_current_box(); draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){ Element(\"border_id_0\").innerHTML = \"&nbsp;\" + lang_folder(data['folder']) + \"&nbsp;<font face='Verdana' size='1' color='#505050'>[<span id='new_m'>&nbsp;</span> / <span id='tot_m'></span>]</font>\"; current_folder = data['folder']; alternate_border(0); draw_box(data, get_current_folder());});");
   	}
   	else {
@@ -603,5 +603,5 @@
   			msg_range_begin = ((i*preferences.max_email_per_page)-(preferences.max_email_per_page-1));
 			msg_range_end = (i*preferences.max_email_per_page);
-			lnk_page.setAttribute("href", "javascript:current_page="+i+";kill_current_box(); draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){draw_box(data, get_current_folder());});");
+			lnk_page.setAttribute("href", "javascript:current_page="+i+";kill_current_box(); draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){Element(\"border_id_0\").innerHTML = \"&nbsp;\" + lang_folder(data['folder']) + \"&nbsp;<font face='Verdana' size='1' color='#505050'>[<span id='new_m'>&nbsp;</span> / <span id='tot_m'></span>]</font>\"; current_folder = data['folder']; alternate_border(0); draw_box(data, get_current_folder());});");
   		}
   		lnk_page.innerHTML = "&nbsp;...&nbsp;";
@@ -617,5 +617,5 @@
   		msg_range_begin = ((total_pages*preferences.max_email_per_page)-(preferences.max_email_per_page-1));
 		msg_range_end = (total_pages*preferences.max_email_per_page);
-		lnk_page.setAttribute("href", "javascript:current_page="+total_pages+";kill_current_box(); draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){draw_box(data, get_current_folder());});");
+		lnk_page.setAttribute("href", "javascript:current_page="+total_pages+";kill_current_box(); draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){Element(\"border_id_0\").innerHTML = \"&nbsp;\" + lang_folder(data['folder']) + \"&nbsp;<font face='Verdana' size='1' color='#505050'>[<span id='new_m'>&nbsp;</span> / <span id='tot_m'></span>]</font>\"; current_folder = data['folder']; alternate_border(0); draw_box(data, get_current_folder());});");
 	}
 	else {