Index: devel/testlink/automation2.0/pom.xml
===================================================================
--- devel/testlink/automation2.0/pom.xml	(revision 3853)
+++ devel/testlink/automation2.0/pom.xml	(revision 4056)
@@ -4,86 +4,158 @@
 	<groupId>br.gov.serpro.cte</groupId>
 	<artifactId>ExpressoAutomation2.0</artifactId>
+	<name>ExpressoAutomation2</name>
+	<url>http://maven.apache.org</url>
 	<version>0.0.1-SNAPSHOT</version>
+	<properties>
+		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
+	</properties>
+	<pluginRepositories>
+		<pluginRepository>
+			<id>testng-xslt-plugin</id>
+			<url>http://www.cosminaru.ro/maven/</url>
+		</pluginRepository>
+	</pluginRepositories>
+	<reporting>
+		<plugins>
+			<plugin>
+				<groupId>org.testng.xslt</groupId>
+				<artifactId>testng-xslt-plugin</artifactId>
+				<version>1.1</version>
+				<configuration>
+					<!--Setting the output directory -->
+					<!--<outputDir>${project.basedir}/target/site/${pom.artifactId}</outputDir> -->
+					<!--Setting the testNgXslt.showRuntimeTotals flag -->
+					<showRuntimeTotals>true</showRuntimeTotals>
+					<!--Setting the testNgXslt.cssFile parameter. This should be relative 
+						to the '${basedir}/target/site/testng-xslt' directory -->
+					<sortTestCaseLinks>true</sortTestCaseLinks>
+					<testDetailsFilter>FAIL,PASS,SKIP,CONF</testDetailsFilter>
+				</configuration>
+			</plugin>
+		</plugins>
+	</reporting>
+
 	<build>
 		<plugins>
-
 			<plugin>
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-compiler-plugin</artifactId>
-				<version>2.3.2</version>
+				<version>2.0.2</version>
 				<configuration>
-					<compilerVersion>1.6</compilerVersion>
+					<source>1.6</source>
+					<target>1.6</target>
 				</configuration>
 			</plugin>
 
-			  <plugin>
-			    <groupId>org.apache.maven.plugins</groupId>
-			    <artifactId>maven-surefire-plugin</artifactId>
-			    <configuration>
-			      <suiteXmlFiles>
-			        <suiteXmlFile>[FUN02.1] - ComporMensagem.xml</suiteXmlFile>
-			      </suiteXmlFiles>
-			    </configuration>
-			  </plugin>
-
-<!-- 
 			<plugin>
-				<groupId>org.jbehave</groupId>
-				<artifactId>jbehave-maven-plugin</artifactId>
-				<version>3.1</version>
+				<artifactId>maven-surefire-plugin</artifactId>
+				<version>2.4</version>
+				<configuration>
+					<suiteXmlFiles>
+						<suiteXmlFile>[FUN02.1] - ComporMensagem.xml</suiteXmlFile>
+					</suiteXmlFiles>
+					<testFailureIgnore>true</testFailureIgnore>
+				</configuration>
 			</plugin>
- -->
-
+			<plugin>
+				<groupId>org.codehaus.mojo</groupId>
+				<artifactId>aspectj-maven-plugin</artifactId>
+				<version>1.3.1</version>
+				<configuration>
+					<complianceLevel>1.6</complianceLevel>
+				</configuration>
+				<executions>
+					<execution>
+						<goals>
+							<goal>compile</goal>
+							<goal>test-compile</goal>
+						</goals>
+					</execution>
+				</executions>
+			</plugin>
 		</plugins>
 	</build>
-	<name>ExpressoAutomation2</name>
-	<url>http://maven.apache.org</url>
 
-	<properties>
-		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
-	</properties>
-
+	<repositories>
+		<repository>
+			<id>maven2-repository.java.net</id>
+			<name>Java.net Repository for Maven</name>
+			<url>http://download.java.net/maven/2/</url>
+			<layout>default</layout>
+		</repository>
+		<repository>
+			<id>itextpdf.com</id>
+			<name>Maven Repository for iText</name>
+			<url>http://maven.itextpdf.com/</url>
+		</repository>
+	</repositories>
 	<dependencies>
-		
 		<dependency>
-		  <groupId>org.testng</groupId>
-		  <artifactId>testng</artifactId>
-		  <version>5.14.3</version>
-		  <scope>test</scope>
-		</dependency>
-
-			<dependency>
 			<groupId>org.seleniumhq.selenium</groupId>
 			<artifactId>selenium</artifactId>
-			<version>2.0b1</version>
+			<version>2.0b3</version>
+			<type>pom</type>
+			<scope>compile</scope>
 		</dependency>
-
-<!--
-<dependency>
-    <groupId>org.jbehave.web</groupId>
-    <artifactId>jbehave-web-distribution</artifactId>
-    <version>3.1.1</version>
-</dependency>				 
-
-
-<dependency>
-    <groupId>org.jbehave</groupId>
-    <artifactId>jbehave-distribution</artifactId>
-    <version>3.1.1</version>
-</dependency>
- 
-<dependency>
-    <groupId>org.mockito</groupId>
-    <artifactId>mockito-all</artifactId>
-    <version>1.8.5</version>
-</dependency>
-				 
-
 		<dependency>
-    	<groupId>org.jbehave</groupId>
-    <artifactId>jbehave</artifactId>
-    		<version>3.1.1</version>
-</dependency>
-	 -->	
+			<groupId>org.testng</groupId>
+			<artifactId>testng</artifactId>
+			<version>6.0.1</version>
+			<type>jar</type>
+			<scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.uncommons</groupId>
+			<artifactId>reportng</artifactId>
+			<version>1.1.2</version>
+			<scope>compile</scope>
+			<exclusions>
+				<exclusion>
+					<groupId>org.testng</groupId>
+					<artifactId>testng</artifactId>
+				</exclusion>
+			</exclusions>
+		</dependency>
+		<dependency>
+			<groupId>net.htmlparser.jericho</groupId>
+			<artifactId>jericho-html</artifactId>
+			<version>3.1</version>
+			<type>jar</type>
+			<scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.aspectj</groupId>
+			<artifactId>aspectjweaver</artifactId>
+			<version>1.6.10</version>
+			<type>jar</type>
+			<scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>com.itextpdf</groupId>
+			<artifactId>itextpdf</artifactId>
+			<version>5.0.6</version>
+			<scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.xhtmlrenderer</groupId>
+			<artifactId>core-renderer</artifactId>
+			<version>R8</version>
+			<type>jar</type>
+			<scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.aspectj</groupId>
+			<artifactId>aspectjtools</artifactId>
+			<version>1.6.10</version>
+			<type>jar</type>
+			<scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.aspectj</groupId>
+			<artifactId>aspectjrt</artifactId>
+			<version>1.6.10</version>
+			<type>jar</type>
+			<scope>compile</scope>
+		</dependency>
 	</dependencies>
 