Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/config.properties
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/config.properties	(revision 3853)
+++ 	(revision )
@@ -1,9 +1,0 @@
-url=https://10.30.202.205
-user=teste1.mp
-passwd=teste
-
-#url=https://cte.serpro.gov.br
-#user=luiz-fernando.estivalet
-#passwd=senha
-
-config.email=email.preferences_mp.properties
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/email.preferences.properties
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/email.preferences.properties	(revision 3799)
+++ 	(revision )
@@ -1,48 +1,0 @@
-# Nome: email.preferences.properties
-#
-# Descricao: As preferencias abaixos e os respectivos valores foram criados a 
-#            partir da tela de preferencias do usuario para o modulo 
-#            ExpressoEmail. Serve APENAS como referencia e NAO DEVE ser
-#            referenciado no arquivo config.properties 
-#
-# Para visualizar as preferencias seguir os seguintes passos:
-#
-# 1. Logar no Expresso
-# 2. Ir na opção "Minhas Preferências"
-# 3. Selecionar opção "Preferências" do módulo "Expresso Mail"
-#
-userCNInSharedFolders=usar o padrão,Não,Sim
-showHeadMsgFull=usar o padrão,Não,Sim
-maxEmailPerPage=usar o padrão,25,50,75,100
-previewMsgSubject=usar o padrão,Não,Sim
-previewMsgTip=usar o padrão,Não,Sim
-extendedInfo=usar o padrão,Não,Sim
-saveDeletedMsg=usar o padrão,Não,Sim
-deleteTrashMessagesAfterNDays=usar o padrão,1 Dia,2 Dias,3 Dias,4 Dias,5 Dias
-useLocalMessages=usar o padrão,Não,Sim
-keepArchivedMessages=usar o padrão,Copiar,Mover
-autoCreateLocal=usar o padrão,Não,Sim
-deleteAndShowPreviousMessage=usar o padrão,Não,Sim
-alertNewMsg=usar o padrão,Não,Sim
-mainScreenShowMail=usar o padrão,Não,Sim
-removeAttachmentsFunction=usar o padrão,Não,Sim
-useImportantFlag=usar o padrão,Não,Sim
-useSpellChecker=usar o padrão,Não,Sim
-saveInFolder=usar o padrão,Selecionar no envio da mensagem,Caixa de Entrada,Enviados,Lixeira
-fromToSent=usar o padrão,Não,Sim
-hideFolders=usar o padrão,Não,Sim
-searchResultNumber=usar o padrão,50,100,150,200,300,400,Sem limite
-searchCharactersNumber=usar o padrão,Sem limite,2,3,4,5
-lineHeight=usar o padrão,Sem limite,2,3,4,5
-maxMsgSize=usar o padrão,Não,Sim
-useDynamicContacts=usar o padrão,Não,Sim
-useShortcuts=usar o padrão,Não,Sim
-autoSaveDraft=usar o padrão,Não,Sim
-timezone=usar o padrão
-quickSearchDefault=usar o padrão,Contatos,E-mail
-imageSize=usar o padrão,Sem limite,640,768,800,1024,1080
-useSignatureDigitalCripto=usar o padrão,Não,Sim
-useSignatureDigital=usar o padrão,Não,Sim
-useSignatureCripto=usar o padrão,Não,Sim
-useSignature=usar o padrão,Não,Sim
-typeSignature=usar o padrão,Texto Simples,Texto Rico
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/email.preferences_comunidade_cte.properties
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/email.preferences_comunidade_cte.properties	(revision 3799)
+++ 	(revision )
@@ -1,45 +1,0 @@
-# Nome: email.preferences_comunidade_cte.properties
-#
-# Descricao: Arquivo de preferencias do modulo ExpressoMail para o servidor
-#            do Centro de Testes do Expresso (http://cte.serpro.gov.br)
-#
-# Ver arquivo email.preferences.properties
-#
-# Algumas preferencias estao comentadas pois sao acessiveis somente por 
-# usuario com privilegio de administrador do Expresso.
-
-#userCNInSharedFolders=usar o padrão
-showHeadMsgFull=usar o padrão
-maxEmailPerPage=usar o padrão
-previewMsgSubject=usar o padrão
-previewMsgTip=usar o padrão
-#extendedInfo=usar o padrão
-saveDeletedMsg=usar o padrão
-deleteTrashMessagesAfterNDays=usar o padrão
-useLocalMessages=Não
-keepArchivedMessages=usar o padrão
-#autoCreateLocal=usar o padrão
-deleteAndShowPreviousMessage=usar o padrão
-alertNewMsg=usar o padrão
-#mainScreenShowMail=usar o padrão
-#removeAttachmentsFunction=usar o padrão
-useImportantFlag=Sim
-useSpellChecker=usar o padrão
-saveInFolder=usar o padrão
-#fromToSent=usar o padrão
-hideFolders=usar o padrão
-searchResultNumber=usar o padrão
-searchCharactersNumber=usar o padrão
-lineHeight=usar o padrão
-#maxMsgSize=usar o padrão
-useDynamicContacts=usar o padrão
-useShortcuts=usar o padrão
-autoSaveDraft=usar o padrão
-#timezone=usar o padrão
-#quickSearchDefault=usar o padrão
-#imageSize=usar o padrão
-useSignatureDigitalCripto=usar o padrão
-useSignatureDigital=usar o padrão
-useSignatureCripto=usar o padrão
-useSignature=usar o padrão
-typeSignature=usar o padrão
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/valores.properties
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/valores.properties	(revision 3799)
+++ 	(revision )
@@ -1,48 +1,0 @@
-# Nome: mensagens.properties
-#
-# Descricao: Valores para preenchimento de campos utilizados pelos casos de teste.
-# 
-
-# Email que será utilizado para receber as mensagens enviadas pelos casos de teste
-email.teste.1=luiz-fernando.estivalet@cte.serpro.gov.br
-# Email que será utilizado para receber as mensagens enviadas pelos casos de teste de cópia, cópia oculta
-email.teste.2=luiz.f.estivalet@gmail.com
-# Email que será utilizado para receber as mensagens enviadas pelos casos de teste de cópia, cópia oculta
-email.teste.3=luizfernando_estivalet@yahoo.com
-email.invalido=bla
-# Email que será utilizado para receber as mensagens enviadas pelos casos de teste de para envio de múltiplos destinatários
-email.teste.multiplos=luiz-fernando.estivalet@cte.serpro.gov.br, luizfernando_estivalet@yahoo
-email.pasta.teste=Selenium
-# Arquivo utilizado pelo caso de teste enviar com anexo. O arquivo deve existir na máquina que está rodando os casos de teste automatizados
-anexo.1=/home/luiz/Desktop/arquivo.txt
-# Arquivo utilizado pelo caso de teste enviar com múltiplos anexos. O arquivo deve existir na máquina que está rodando os casos de teste automatizados
-anexo.2=/home/luiz/Desktop/arquivo2.txt
-assunto=[SELENIUM] Teste envio mensagem
-assunto.salvar=[SELENIUM] Teste salvar mensagem
-assunto.salvar.somente.copia=[SELENIUM] Teste salvar somente cópia
-assunto.salvar.somente.copia.oculta=[SELENIUM] Teste salvar somente cópia oculta
-assunto.email.invalido=[SELENIUM] Teste envio mensagem com destinatário inválido
-assunto.sem.destinatario=[SELENIUM] Teste envio mensagem sem destinatário
-assunto.multiplos.destinatarios=[SELENIUM] Teste múltiplos destinatários
-assunto.anexo=[SELENIUM] Teste envio mensagem com anexo
-assunto.importante=[SELENIUM] Teste envio mensagem importante
-assunto.multiplos.anexos=[SELENIUM] Teste com múltiplos anexos
-assunto.confirmacao.leitura=[SELENIUM] Teste com confirmação de leitura
-assunto.copia=[SELENIUM] Teste envio mensagem com cópia
-assunto.copia.oculta=[SELENIUM] Teste envio mensagem com cópia oculta 
-assunto.somente.copia=[SELENIUM] Teste envio mensagem somente cópia
-assunto.somente.copia.oculta=[SELENIUM] Teste mensagem somente cópia oculta
-texto.email=<p>Email enviado a partir do Selenium!</p><p>Favor ignorar!</p>
-texto.email.confirmacao.leitura=<p>Email enviado a partir do Selenium!</p><p>Teste de confirmação de leitura</p><p>Favor ignorar!</p>
-texto.email.copia.oculta=<p>Email enviado a partir do Selenium!</p><p>Teste de cópia oculta</p><p>Favor ignorar!</p>
-texto.email.copia=<p>Email enviado a partir do Selenium!</p><p>Teste de cópia</p><p>Favor ignorar!</p>
-texto.email.somente.copia.oculta=<p>Email enviado a partir do Selenium!</p><p>Teste de somente cópia oculta</p><p>Favor ignorar!</p>
-texto.email.somente.copia=<p>Email enviado a partir do Selenium!</p><p>Teste de somente cópia</p><p>Favor ignorar!</p>
-texto.email.importante=<p>Email enviado a partir do Selenium!</p><p>Teste de email importante</p><p>Favor ignorar!</p>
-texto.email.multiplos.anexos=<p>Email enviado a partir do Selenium!</p><p>Teste de email com múltiplos anexos</p><p>Favor ignorar!</p>
-texto.email.multiplos.destinatarios=<p>Email enviado a partir do Selenium!</p><p>Teste de email com múltiplos destinatários</p><p>Favor ignorar!</p>
-texto.email.sem.assunto=<p>Email enviado a partir do Selenium!</p><p>Teste de email sem assunto</p><p>Favor ignorar!</p>
-texto.email.salvo=<p>Email enviado a partir do Selenium!</p><p>Teste para salvar um email na pasta rascunhos</p><p>Favor ignorar!</p>
-texto.email.salvo.somente.copia=<p>Email enviado a partir do Selenium!</p><p>Teste para salvar um email na pasta rascunhos usando o campo somente o campo cópia.</p><p>Favor ignorar!</p>
-texto.email.salvo.somente.copia.oculta=<p>Email enviado a partir do Selenium!</p><p>Teste para salvar um email na pasta rascunhos usando o campo somente o campo cópia oculta.</p><p>Favor ignorar!</p>
-texto.email.anexo=<p>Email enviado a partir do Selenium!</p><p>Teste de anexo</p><p>Favor ignorar!</p>
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/mensagens.properties
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/mensagens.properties	(revision 3853)
+++ 	(revision )
@@ -1,22 +1,0 @@
-# Nome: mensagens.properties
-#
-# Descricao: Mensagens retornadas pelo sistema que sao utilizadas pelos
-#            casos de teste para validar as ações do usuário.
-# 
-pasta.vazia=Esta pasta está vazia
-sem.destinatario=Você deve fornecer pelo menos um endereço de destinatário de email.
-sem.assunto=^Enviar esta mensagem sem assunto[\\s\\S]$
-email.enviado=Sua mensagem foi enviada e salva.
-destinatario.invalido=Erro de SMTP: Os endereços de destinatário a seguir falharam: bla@
-salva.rascunho=Sua mensagem foi salva como rascunho na pasta Rascunhos.
-limpar.lixeira=Você tem certeza que deseja limpar sua lixeira?
-lixeira.limpa=Sua pasta Lixeira foi limpa.
-apagar.uma.mensagem=Mensagem movida para a pasta Lixeira
-marcar.importante=Mensagem marcada como Importante
-marcar.normal=Mensagem marcada como Normal
-marcar.nao.lido=Mensagem marcada como Não lida
-apagar.mensagem=Mensagens movidas para pasta Lixeira
-mensagem.sem.assunto=Enviar esta mensagem sem assunto?
-email.movido=Mensagem movida para a pasta {0}
-pasta.removida=A pasta {0} foi removida com sucesso!
-descartar.mensagem=Sua mensagem não foi salva ou enviada. Descartar a mensagem?
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/email.preferences_mp.properties
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/email.preferences_mp.properties	(revision 3799)
+++ 	(revision )
@@ -1,45 +1,0 @@
-# Nome: email.preferences_mp.properties
-#
-# Descricao: Arquivo de preferencias do modulo ExpressoMail para o Ministerio
-#            do Planejamento
-#
-# Ver arquivo email.preferences.properties
-#
-# Algumas preferencias estao comentadas pois sao acessiveis somente por 
-# usuario com privilegio de administrador do Expresso.
-
-#userCNInSharedFolders=usar o padrão
-#showHeadMsgFull=usar o padrão
-maxEmailPerPage=usar o padrão
-previewMsgSubject=usar o padrão
-previewMsgTip=usar o padrão
-#extendedInfo=usar o padrão
-saveDeletedMsg=usar o padrão
-deleteTrashMessagesAfterNDays=usar o padrão
-useLocalMessages=Não
-keepArchivedMessages=usar o padrão
-#autoCreateLocal=usar o padrão
-deleteAndShowPreviousMessage=usar o padrão
-alertNewMsg=usar o padrão
-#mainScreenShowMail=usar o padrão
-#removeAttachmentsFunction=usar o padrão
-#useImportantFlag=Sim
-#useSpellChecker=usar o padrão
-saveInFolder=usar o padrão
-#fromToSent=usar o padrão
-hideFolders=usar o padrão
-searchResultNumber=usar o padrão
-searchCharactersNumber=usar o padrão
-lineHeight=usar o padrão
-#maxMsgSize=usar o padrão
-useDynamicContacts=usar o padrão
-useShortcuts=usar o padrão
-autoSaveDraft=usar o padrão
-#timezone=usar o padrão
-#quickSearchDefault=usar o padrão
-#imageSize=usar o padrão
-useSignatureDigitalCripto=usar o padrão
-useSignatureDigital=usar o padrão
-useSignatureCripto=usar o padrão
-useSignature=usar o padrão
-typeSignature=usar o padrão
Index: devel/testlink/automation2.0/src/test/resources/config.properties
===================================================================
--- devel/testlink/automation2.0/src/test/resources/config.properties	(revision 4058)
+++ devel/testlink/automation2.0/src/test/resources/config.properties	(revision 4058)
@@ -0,0 +1,9 @@
+url=https://10.30.202.205
+user=teste1.mp
+passwd=teste
+
+#url=https://cte.serpro.gov.br
+#user=luiz-fernando.estivalet
+#passwd=senha
+
+config.email=email.preferences_mp.properties
Index: devel/testlink/automation2.0/src/test/resources/email.preferences.properties
===================================================================
--- devel/testlink/automation2.0/src/test/resources/email.preferences.properties	(revision 4058)
+++ devel/testlink/automation2.0/src/test/resources/email.preferences.properties	(revision 4058)
@@ -0,0 +1,48 @@
+# Nome: email.preferences.properties
+#
+# Descricao: As preferencias abaixos e os respectivos valores foram criados a 
+#            partir da tela de preferencias do usuario para o modulo 
+#            ExpressoEmail. Serve APENAS como referencia e NAO DEVE ser
+#            referenciado no arquivo config.properties 
+#
+# Para visualizar as preferencias seguir os seguintes passos:
+#
+# 1. Logar no Expresso
+# 2. Ir na opção "Minhas Preferências"
+# 3. Selecionar opção "Preferências" do módulo "Expresso Mail"
+#
+userCNInSharedFolders=usar o padrão,Não,Sim
+showHeadMsgFull=usar o padrão,Não,Sim
+maxEmailPerPage=usar o padrão,25,50,75,100
+previewMsgSubject=usar o padrão,Não,Sim
+previewMsgTip=usar o padrão,Não,Sim
+extendedInfo=usar o padrão,Não,Sim
+saveDeletedMsg=usar o padrão,Não,Sim
+deleteTrashMessagesAfterNDays=usar o padrão,1 Dia,2 Dias,3 Dias,4 Dias,5 Dias
+useLocalMessages=usar o padrão,Não,Sim
+keepArchivedMessages=usar o padrão,Copiar,Mover
+autoCreateLocal=usar o padrão,Não,Sim
+deleteAndShowPreviousMessage=usar o padrão,Não,Sim
+alertNewMsg=usar o padrão,Não,Sim
+mainScreenShowMail=usar o padrão,Não,Sim
+removeAttachmentsFunction=usar o padrão,Não,Sim
+useImportantFlag=usar o padrão,Não,Sim
+useSpellChecker=usar o padrão,Não,Sim
+saveInFolder=usar o padrão,Selecionar no envio da mensagem,Caixa de Entrada,Enviados,Lixeira
+fromToSent=usar o padrão,Não,Sim
+hideFolders=usar o padrão,Não,Sim
+searchResultNumber=usar o padrão,50,100,150,200,300,400,Sem limite
+searchCharactersNumber=usar o padrão,Sem limite,2,3,4,5
+lineHeight=usar o padrão,Sem limite,2,3,4,5
+maxMsgSize=usar o padrão,Não,Sim
+useDynamicContacts=usar o padrão,Não,Sim
+useShortcuts=usar o padrão,Não,Sim
+autoSaveDraft=usar o padrão,Não,Sim
+timezone=usar o padrão
+quickSearchDefault=usar o padrão,Contatos,E-mail
+imageSize=usar o padrão,Sem limite,640,768,800,1024,1080
+useSignatureDigitalCripto=usar o padrão,Não,Sim
+useSignatureDigital=usar o padrão,Não,Sim
+useSignatureCripto=usar o padrão,Não,Sim
+useSignature=usar o padrão,Não,Sim
+typeSignature=usar o padrão,Texto Simples,Texto Rico
Index: devel/testlink/automation2.0/src/test/resources/email.preferences_comunidade_cte.properties
===================================================================
--- devel/testlink/automation2.0/src/test/resources/email.preferences_comunidade_cte.properties	(revision 4058)
+++ devel/testlink/automation2.0/src/test/resources/email.preferences_comunidade_cte.properties	(revision 4058)
@@ -0,0 +1,45 @@
+# Nome: email.preferences_comunidade_cte.properties
+#
+# Descricao: Arquivo de preferencias do modulo ExpressoMail para o servidor
+#            do Centro de Testes do Expresso (http://cte.serpro.gov.br)
+#
+# Ver arquivo email.preferences.properties
+#
+# Algumas preferencias estao comentadas pois sao acessiveis somente por 
+# usuario com privilegio de administrador do Expresso.
+
+#userCNInSharedFolders=usar o padrão
+showHeadMsgFull=usar o padrão
+maxEmailPerPage=usar o padrão
+previewMsgSubject=usar o padrão
+previewMsgTip=usar o padrão
+#extendedInfo=usar o padrão
+saveDeletedMsg=usar o padrão
+deleteTrashMessagesAfterNDays=usar o padrão
+useLocalMessages=Não
+keepArchivedMessages=usar o padrão
+#autoCreateLocal=usar o padrão
+deleteAndShowPreviousMessage=usar o padrão
+alertNewMsg=usar o padrão
+#mainScreenShowMail=usar o padrão
+#removeAttachmentsFunction=usar o padrão
+useImportantFlag=Sim
+useSpellChecker=usar o padrão
+saveInFolder=usar o padrão
+#fromToSent=usar o padrão
+hideFolders=usar o padrão
+searchResultNumber=usar o padrão
+searchCharactersNumber=usar o padrão
+lineHeight=usar o padrão
+#maxMsgSize=usar o padrão
+useDynamicContacts=usar o padrão
+useShortcuts=usar o padrão
+autoSaveDraft=usar o padrão
+#timezone=usar o padrão
+#quickSearchDefault=usar o padrão
+#imageSize=usar o padrão
+useSignatureDigitalCripto=usar o padrão
+useSignatureDigital=usar o padrão
+useSignatureCripto=usar o padrão
+useSignature=usar o padrão
+typeSignature=usar o padrão
Index: devel/testlink/automation2.0/src/test/resources/valores.properties
===================================================================
--- devel/testlink/automation2.0/src/test/resources/valores.properties	(revision 4058)
+++ devel/testlink/automation2.0/src/test/resources/valores.properties	(revision 4058)
@@ -0,0 +1,48 @@
+# Nome: mensagens.properties
+#
+# Descricao: Valores para preenchimento de campos utilizados pelos casos de teste.
+# 
+
+# Email que será utilizado para receber as mensagens enviadas pelos casos de teste
+email.teste.1=luiz-fernando.estivalet@cte.serpro.gov.br
+# Email que será utilizado para receber as mensagens enviadas pelos casos de teste de cópia, cópia oculta
+email.teste.2=luiz.f.estivalet@gmail.com
+# Email que será utilizado para receber as mensagens enviadas pelos casos de teste de cópia, cópia oculta
+email.teste.3=luizfernando_estivalet@yahoo.com
+email.invalido=bla
+# Email que será utilizado para receber as mensagens enviadas pelos casos de teste de para envio de múltiplos destinatários
+email.teste.multiplos=luiz-fernando.estivalet@cte.serpro.gov.br, luizfernando_estivalet@yahoo
+email.pasta.teste=Selenium
+# Arquivo utilizado pelo caso de teste enviar com anexo. O arquivo deve existir na máquina que está rodando os casos de teste automatizados
+anexo.1=/home/luiz/Desktop/arquivo.txt
+# Arquivo utilizado pelo caso de teste enviar com múltiplos anexos. O arquivo deve existir na máquina que está rodando os casos de teste automatizados
+anexo.2=/home/luiz/Desktop/arquivo2.txt
+assunto=[SELENIUM] Teste envio mensagem
+assunto.salvar=[SELENIUM] Teste salvar mensagem
+assunto.salvar.somente.copia=[SELENIUM] Teste salvar somente cópia
+assunto.salvar.somente.copia.oculta=[SELENIUM] Teste salvar somente cópia oculta
+assunto.email.invalido=[SELENIUM] Teste envio mensagem com destinatário inválido
+assunto.sem.destinatario=[SELENIUM] Teste envio mensagem sem destinatário
+assunto.multiplos.destinatarios=[SELENIUM] Teste múltiplos destinatários
+assunto.anexo=[SELENIUM] Teste envio mensagem com anexo
+assunto.importante=[SELENIUM] Teste envio mensagem importante
+assunto.multiplos.anexos=[SELENIUM] Teste com múltiplos anexos
+assunto.confirmacao.leitura=[SELENIUM] Teste com confirmação de leitura
+assunto.copia=[SELENIUM] Teste envio mensagem com cópia
+assunto.copia.oculta=[SELENIUM] Teste envio mensagem com cópia oculta 
+assunto.somente.copia=[SELENIUM] Teste envio mensagem somente cópia
+assunto.somente.copia.oculta=[SELENIUM] Teste mensagem somente cópia oculta
+texto.email=<p>Email enviado a partir do Selenium!</p><p>Favor ignorar!</p>
+texto.email.confirmacao.leitura=<p>Email enviado a partir do Selenium!</p><p>Teste de confirmação de leitura</p><p>Favor ignorar!</p>
+texto.email.copia.oculta=<p>Email enviado a partir do Selenium!</p><p>Teste de cópia oculta</p><p>Favor ignorar!</p>
+texto.email.copia=<p>Email enviado a partir do Selenium!</p><p>Teste de cópia</p><p>Favor ignorar!</p>
+texto.email.somente.copia.oculta=<p>Email enviado a partir do Selenium!</p><p>Teste de somente cópia oculta</p><p>Favor ignorar!</p>
+texto.email.somente.copia=<p>Email enviado a partir do Selenium!</p><p>Teste de somente cópia</p><p>Favor ignorar!</p>
+texto.email.importante=<p>Email enviado a partir do Selenium!</p><p>Teste de email importante</p><p>Favor ignorar!</p>
+texto.email.multiplos.anexos=<p>Email enviado a partir do Selenium!</p><p>Teste de email com múltiplos anexos</p><p>Favor ignorar!</p>
+texto.email.multiplos.destinatarios=<p>Email enviado a partir do Selenium!</p><p>Teste de email com múltiplos destinatários</p><p>Favor ignorar!</p>
+texto.email.sem.assunto=<p>Email enviado a partir do Selenium!</p><p>Teste de email sem assunto</p><p>Favor ignorar!</p>
+texto.email.salvo=<p>Email enviado a partir do Selenium!</p><p>Teste para salvar um email na pasta rascunhos</p><p>Favor ignorar!</p>
+texto.email.salvo.somente.copia=<p>Email enviado a partir do Selenium!</p><p>Teste para salvar um email na pasta rascunhos usando o campo somente o campo cópia.</p><p>Favor ignorar!</p>
+texto.email.salvo.somente.copia.oculta=<p>Email enviado a partir do Selenium!</p><p>Teste para salvar um email na pasta rascunhos usando o campo somente o campo cópia oculta.</p><p>Favor ignorar!</p>
+texto.email.anexo=<p>Email enviado a partir do Selenium!</p><p>Teste de anexo</p><p>Favor ignorar!</p>
Index: devel/testlink/automation2.0/src/test/resources/mensagens.properties
===================================================================
--- devel/testlink/automation2.0/src/test/resources/mensagens.properties	(revision 4058)
+++ devel/testlink/automation2.0/src/test/resources/mensagens.properties	(revision 4058)
@@ -0,0 +1,22 @@
+# Nome: mensagens.properties
+#
+# Descricao: Mensagens retornadas pelo sistema que sao utilizadas pelos
+#            casos de teste para validar as ações do usuário.
+# 
+pasta.vazia=Esta pasta está vazia
+sem.destinatario=Você deve fornecer pelo menos um endereço de destinatário de email.
+sem.assunto=^Enviar esta mensagem sem assunto[\\s\\S]$
+email.enviado=Sua mensagem foi enviada e salva.
+destinatario.invalido=Erro de SMTP: Os endereços de destinatário a seguir falharam: bla@
+salva.rascunho=Sua mensagem foi salva como rascunho na pasta Rascunhos.
+limpar.lixeira=Você tem certeza que deseja limpar sua lixeira?
+lixeira.limpa=Sua pasta Lixeira foi limpa.
+apagar.uma.mensagem=Mensagem movida para a pasta Lixeira
+marcar.importante=Mensagem marcada como Importante
+marcar.normal=Mensagem marcada como Normal
+marcar.nao.lido=Mensagem marcada como Não lida
+apagar.mensagem=Mensagens movidas para pasta Lixeira
+mensagem.sem.assunto=Enviar esta mensagem sem assunto?
+email.movido=Mensagem movida para a pasta {0}
+pasta.removida=A pasta {0} foi removida com sucesso!
+descartar.mensagem=Sua mensagem não foi salva ou enviada. Descartar a mensagem?
Index: devel/testlink/automation2.0/src/test/resources/email.preferences_mp.properties
===================================================================
--- devel/testlink/automation2.0/src/test/resources/email.preferences_mp.properties	(revision 4058)
+++ devel/testlink/automation2.0/src/test/resources/email.preferences_mp.properties	(revision 4058)
@@ -0,0 +1,45 @@
+# Nome: email.preferences_mp.properties
+#
+# Descricao: Arquivo de preferencias do modulo ExpressoMail para o Ministerio
+#            do Planejamento
+#
+# Ver arquivo email.preferences.properties
+#
+# Algumas preferencias estao comentadas pois sao acessiveis somente por 
+# usuario com privilegio de administrador do Expresso.
+
+#userCNInSharedFolders=usar o padrão
+#showHeadMsgFull=usar o padrão
+maxEmailPerPage=usar o padrão
+previewMsgSubject=usar o padrão
+previewMsgTip=usar o padrão
+#extendedInfo=usar o padrão
+saveDeletedMsg=usar o padrão
+deleteTrashMessagesAfterNDays=usar o padrão
+useLocalMessages=Não
+keepArchivedMessages=usar o padrão
+#autoCreateLocal=usar o padrão
+deleteAndShowPreviousMessage=usar o padrão
+alertNewMsg=usar o padrão
+#mainScreenShowMail=usar o padrão
+#removeAttachmentsFunction=usar o padrão
+#useImportantFlag=Sim
+#useSpellChecker=usar o padrão
+saveInFolder=usar o padrão
+#fromToSent=usar o padrão
+hideFolders=usar o padrão
+searchResultNumber=usar o padrão
+searchCharactersNumber=usar o padrão
+lineHeight=usar o padrão
+#maxMsgSize=usar o padrão
+useDynamicContacts=usar o padrão
+useShortcuts=usar o padrão
+autoSaveDraft=usar o padrão
+#timezone=usar o padrão
+#quickSearchDefault=usar o padrão
+#imageSize=usar o padrão
+useSignatureDigitalCripto=usar o padrão
+useSignatureDigital=usar o padrão
+useSignatureCripto=usar o padrão
+useSignature=usar o padrão
+typeSignature=usar o padrão